Bug 1394345 - [RFE] Per-device connection checks
Summary: [RFE] Per-device connection checks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1393481
TreeView+ depends on / blocked
 
Reported: 2016-11-11 18:29 UTC by Lubomir Rintel
Modified: 2017-08-01 09:19 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.8.0-0.4.rc1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:19:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Lubomir Rintel 2016-11-11 18:29:43 UTC
We currently do only global connection-checks.

It would be nice if we could do a connection check on a newly activated device only while we are connected.

We could use the result to adjust the route metric, to prioritize devices that actually are connected to the Internet.

Comment 2 Lubomir Rintel 2017-03-28 14:03:21 UTC
Went in upstream: https://bugzilla.gnome.org/show_bug.cgi?id=780448

Comment 4 errata-xmlrpc 2017-08-01 09:19:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.